package com.ruoyi.system.domain.publicservice;

import java.io.Serializable;
import java.util.Date;


/**
 * 需求
 * @author wujm<wujm@eazytec.com>
 */
public class TPublicServiceDemand implements Serializable {
	
	private static final long serialVersionUID = 1L;
	
	/**
	 * 主键id
	 */
	private Long demandId;
	
	/**
	 * 需求类型
	 */
	private String demandType;
	
	/**
	 * 需求名称
	 */
	private String demandName;
	
	/**
	 * 需求描述
	 */
	private String demandDesc;
	
	/**
	 * 预算金额最低
	 */
	private String planPrice;
	
	/**
	 * 预算金额最高
	 */
	private String planPriceEnd;
	
	/**
	 * 姓名
	 */
	private String demandOwner;
	
	/**
	 * 联系方式
	 */
	private String demandPhone;
	
	/**
	 * 需求状态 0 未审核 1通过 2不通过
	 */
	private String demandStatus;
	
	/**
	 * 是否有效1 有效 0 无效
	 */
	private Integer valid;
	
	/**
	 * 
	 */
	private Date createTime;
	
	/**
	 * 
	 */
	private String createBy;
	
	/**
	 * 
	 */
	private Date updateTime;
	
	/**
	 * 
	 */
	private String updateBy;
	
	/**
	 * 需求编号
	 */
	private String demandCode;
	

	public TPublicServiceDemand() {
		super();
	}

    /**
     * setter for demandId
     * @param demandId
     */
	public void setDemandId(Long demandId) {
		this.demandId = demandId;
	}

    /**
     * getter for demandId
     */
	public Long getDemandId() {
		return demandId;
	}
	
    /**
     * setter for demandType
     * @param demandType
     */
	public void setDemandType(String demandType) {
		this.demandType = demandType;
	}

    /**
     * getter for demandType
     */
	public String getDemandType() {
		return demandType;
	}
	
    /**
     * setter for demandName
     * @param demandName
     */
	public void setDemandName(String demandName) {
		this.demandName = demandName;
	}

    /**
     * getter for demandName
     */
	public String getDemandName() {
		return demandName;
	}
	
    /**
     * setter for demandDesc
     * @param demandDesc
     */
	public void setDemandDesc(String demandDesc) {
		this.demandDesc = demandDesc;
	}

    /**
     * getter for demandDesc
     */
	public String getDemandDesc() {
		return demandDesc;
	}
	
    /**
     * setter for planPrice
     * @param planPrice
     */
	public void setPlanPrice(String planPrice) {
		this.planPrice = planPrice;
	}

    /**
     * getter for planPrice
     */
	public String getPlanPrice() {
		return planPrice;
	}
	
    /**
     * setter for planPriceEnd
     * @param planPriceEnd
     */
	public void setPlanPriceEnd(String planPriceEnd) {
		this.planPriceEnd = planPriceEnd;
	}

    /**
     * getter for planPriceEnd
     */
	public String getPlanPriceEnd() {
		return planPriceEnd;
	}
	
    /**
     * setter for demandOwner
     * @param demandOwner
     */
	public void setDemandOwner(String demandOwner) {
		this.demandOwner = demandOwner;
	}

    /**
     * getter for demandOwner
     */
	public String getDemandOwner() {
		return demandOwner;
	}
	
    /**
     * setter for demandPhone
     * @param demandPhone
     */
	public void setDemandPhone(String demandPhone) {
		this.demandPhone = demandPhone;
	}

    /**
     * getter for demandPhone
     */
	public String getDemandPhone() {
		return demandPhone;
	}
	
    /**
     * setter for demandStatus
     * @param demandStatus
     */
	public void setDemandStatus(String demandStatus) {
		this.demandStatus = demandStatus;
	}

    /**
     * getter for demandStatus
     */
	public String getDemandStatus() {
		return demandStatus;
	}

    /**
     * setter for valid
     * @param valid
     */
	public void setValid(Integer valid) {
		this.valid = valid;
	}

    /**
     * getter for valid
     */
	public Integer getValid() {
		return valid;
	}
	
    /**
     * setter for createTime
     * @param createTime
     */
	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}

    /**
     * getter for createTime
     */
	public Date getCreateTime() {
		return createTime;
	}
	
    /**
     * setter for createBy
     * @param createBy
     */
	public void setCreateBy(String createBy) {
		this.createBy = createBy;
	}

    /**
     * getter for createBy
     */
	public String getCreateBy() {
		return createBy;
	}
	
    /**
     * setter for updateTime
     * @param updateTime
     */
	public void setUpdateTime(Date updateTime) {
		this.updateTime = updateTime;
	}

    /**
     * getter for updateTime
     */
	public Date getUpdateTime() {
		return updateTime;
	}
	
    /**
     * setter for updateBy
     * @param updateBy
     */
	public void setUpdateBy(String updateBy) {
		this.updateBy = updateBy;
	}

    /**
     * getter for updateBy
     */
	public String getUpdateBy() {
		return updateBy;
	}
	
    /**
     * setter for demandCode
     * @param demandCode
     */
	public void setDemandCode(String demandCode) {
		this.demandCode = demandCode;
	}

    /**
     * getter for demandCode
     */
	public String getDemandCode() {
		return demandCode;
	}
	
}
